Last Comment Bug 791267 - We can now use CPU architecture (ABI) for multiple APK filtering
: We can now use CPU architecture (ABI) for multiple APK filtering
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 19 Branch
: x86_64 Linux
: -- normal (vote)
: Firefox 19
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 788666
  Show dependency treegraph
 
Reported: 2012-09-14 08:42 PDT by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2016-07-29 14:29 PDT (History)
5 users (show)
mbrubeck: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
+
fixed
17+


Attachments
back out bug 788666 (1.65 KB, patch)
2012-10-19 14:19 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
Details | Diff | Splinter Review

Description Mark Finkle (:mfinkle) (use needinfo?) 2012-09-14 08:42:01 PDT
In bug 788666, we needed to hack ARMv7 and ARMv6 multiple APKs to use screensize as the way to make the configurations be different. Google now supports "CPU architecture (ABI)" as a way to make the configurations be different.

This should mean we can backout the hack added in bug 788666.

http://developer.android.com/guide/google/play/publishing/multiple-apks.html
Comment 1 Alex Keybl [:akeybl] 2012-09-14 12:11:46 PDT
What timing.. at least we can remove the hack though!
Comment 2 Alex Keybl [:akeybl] 2012-09-14 12:12:05 PDT
We'll want to test on a Google Play test product before officially making this change.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2012-10-03 13:10:52 PDT
There is a test build here:
https://play.google.com/store/apps/details?id=org.mozilla.fennec_blassey

The build has a backout of bug 788666. Can we get some QA testing to see if ARMv6 and ARMv7 works ok on that build?
Comment 4 Aaron Train [:aaronmt] 2012-10-03 14:47:23 PDT
Works. Tried the HTC Wildfire S, HTC Legend, LG Slider and each got an ~18MB ARMv6 build. Galaxy Nexus/Nexus 7 both got an ~17.3 MB ARMv7 build.
Comment 5 Brad Lassey [:blassey] (use needinfo?) 2012-10-03 14:57:11 PDT
Note that finkle just took down the ARMv6 build in the market. Any further testing will be broken until further notice.
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2012-10-03 15:47:48 PDT
This has been fixed, resume testing
Comment 7 Matt Brubeck (:mbrubeck) 2012-10-08 10:23:57 PDT
Marking this as fixed for Fx17 based on comment 4.  This also means we can back out the patch from bug 788666 on trunk; leaving the bug open until that is done.
Comment 8 Matt Brubeck (:mbrubeck) 2012-10-19 14:19:08 PDT
Created attachment 673430 [details] [diff] [review]
back out bug 788666

Revert this manifest change that we added to work around Google Play limitations.
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-10-20 09:55:42 PDT
https://hg.mozilla.org/mozilla-central/rev/eeaec0df48ee

Note You need to log in before you can comment on or make changes to this bug.